import { Optional, PirschApiErrorResponse, Scalar } from "./types";
export declare abstract class PirschCommon {
    protected assertOauthCredentials({ clientId, clientSecret }: {
        clientId?: string;
        clientSecret: string;
    }): void;
    protected assertAccessTokenCredentials({ accessToken }: {
        accessToken: string;
    }): void;
    protected assertIdentificationCodeCredentials({ identificationCode }: {
        identificationCode: string;
    }): void;
    protected prepareScalarObject(value?: Record<string, Scalar>): Optional<Record<string, string>>;
}
export declare class PirschApiError extends Error {
    code: number;
    data: PirschApiErrorResponse;
    constructor(code: number, data: PirschApiErrorResponse);
}
export declare class PirschDomainNotFoundApiError extends PirschApiError {
    constructor();
}
export declare class PirschInvalidAccessModeApiError extends PirschApiError {
    constructor(methodName: string);
}
export declare class PirschUnknownApiError extends PirschApiError {
    constructor(message: string);
}
